rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 10000 -max-n 10 -max-m 10" "tests\02" 2
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 1000 -max-n 200 -max-m 200" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 100 -max-n 2000 -max-m 2000" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 100 -max-n 10 -max-m 2000" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 100 -max-n 2000 -max-m 10" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 10 -max-n 20000 -max-m 20000" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 1" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe -t 1 -min-n 200000 -min-m 200000" "tests\09" 9
call scripts\gen-answer.bat tests\01 tests\01.a "tests" ""
call scripts\gen-answer.bat tests\02 tests\02.a "tests" ""
call scripts\gen-answer.bat tests\03 tests\03.a "tests" ""
call scripts\gen-answer.bat tests\04 tests\04.a "tests" ""
call scripts\gen-answer.bat tests\05 tests\05.a "tests" ""
call scripts\gen-answer.bat tests\06 tests\06.a "tests" ""
call scripts\gen-answer.bat tests\07 tests\07.a "tests" ""
call scripts\gen-answer.bat tests\08 tests\08.a "tests" ""
call scripts\gen-answer.bat tests\09 tests\09.a "tests" ""

